ECHO OFF
CLS
ECHO .
ECHO .
ECHO       THIS IS A SIMPLE HELP SESSION FOR THOSE
ECHO       WHO ARE SOMEWHAT FAMILIAR WITH IMSL ON MAINFRAMES
ECHO       BUT WHO ARE NEW TO MICROSOFT FORTRAN AND THE MS-DOS
ECHO       OPERATING SYSTEM.
ECHO .
ECHO       HERE IS A SAMPLE PROGRAM WHICH SHOWS THE NECESSARY STEPS TO
ECHO       COMPILE AND LINK A PROGRAM WITH AN IMSL LIBRARY.  THE SAMPLE
ECHO       PROGRAM ALSO EXHIBITS CODE NECESSARY TO SEND IMSL OUTPUT TO
ECHO       A PRINTER.
ECHO .
ECHO .
ECHO ON
PAUSE To view the sample program, IMSLD1.FOR,
ECHO OFF
CLS
ECHO C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ECHO C               IMSL SAMPLE PROGRAM - IMSLD1.FOR
ECHO C
ECHO C                    IMPORTANT TO NOTE
ECHO C
ECHO C   1.   AS SHIPPED, ALL OUTPUT FROM IMSL ROUTINES WILL GO TO THE
ECHO C          CONSOLE.  IN THE FOLLOWING SAMPLE PROGRAM, THE USER
ECHO C          HAS THE OPTION OF VIEWING THE OUTPUT ON THE CONSOLE
ECHO C          OR REDIRECTING IT TO THE PRINTER.  FOR MORE INFORMATION
ECHO C          REGARDING THE REDIRECTION OF IMSL OUTPUT, SEE THE
ECHO C          DOCUMENTATION ON IMSL ROUTINE UGETIO ON PAGE INTRO-5
ECHO C          OF THE IMSL MATH/PC-LIBRARY USER'S MANUAL.
ECHO C
ECHO C   2.   THE FIRST STATEMENT, $INCLUDE: 'IMSL', IN THE FOLLOWING
ECHO C          PROGRAM IS NECESSARY TO GUARANTEE PROPER LINKING.
ECHO C
ECHO C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
ECHO C
ECHO C
ECHO $INCLUDE: 'IMSL'
ECHO       REAL        XIN(100), YIN(100,2), RANGE(4)
ECHO       INTEGER     IY, IER, N, M, INC, IOPT
ECHO       CHARACTER*1 ANS
ECHO C
PAUSE
ECHO       IY     = 100
ECHO       N      =  IY
ECHO       M      =  2
ECHO       INC    =  1
ECHO C                                   CALL IMSL ROUTINE UGETIO TO RETAIN
ECHO C                                     THE CURRENT UNIT IDENTIFIERS
ECHO       CALL UGETIO(1,NIN,NOUT)
ECHO       WRITE(NOUT,100) NIN,NOUT
ECHO  100  FORMAT(/,' ALL IMSL SUBROUTINES, EXCEPTING PLOTTING ROUTINES ',
ECHO      &       /,' AND OTHER UTILITY ROUTINES, ARE I/O FREE. ',
ECHO      &       /,' THE CURRENT UNIT NUMBER IDENTIFIERS USED BY ',
ECHO      &       /,' IMSL ARE UNIT NUMBER ',I5,' FOR INPUT ',
ECHO      &       /,' AND UNIT NUMBER ',I5,' FOR OUTPUT.',/,
ECHO      &       /,' MICROSOFT 3.2 USES THESE UNIT NUMBERS TO DIRECT '
ECHO      &       /,' INPUT AND OUTPUT REQUESTS TO THE CONSOLE.',/,
ECHO      &       /,' IF YOU WANT INPUT OR OUTPUT TO BE REDIRECTED TO ',
ECHO      &       /,' ANOTHER DEVICE OR TO A FILE YOU WILL HAVE TO USE IMSL ',
ECHO      &       /,' ROUTINE UGETIO IN CONJUNCTION WITH AN OPEN STATEMENT.',
ECHO      &       /,' FOR MORE INFORMATION ON IMSL ROUTINE UGETIO SEE ',
ECHO      &       /,' PAGE INTRO-5 OF THE IMSL MATH/PC-LIBRARY USER''S ',
ECHO      &       /,' MANUAL',/,
ECHO      &       /,' FOR MORE INFORMATION ON THE OPEN STATEMENT SEE ',
ECHO      &       /,' THE MICROSOFT FORTRAN REFERENCE MANUAL.',/)
ECHO C
PAUSE
ECHO     5 WRITE(NOUT,150)
ECHO   150 FORMAT(/,' DO YOU WANT THE OUTPUT TO BE REDIRECTED TO ',
ECHO      &       /,' A LINEPRINTER?  (Y/N) followed by ENTER. ')
ECHO       READ(NIN,200) ANS
ECHO   200 FORMAT(A1)
ECHO       IF(ANS.EQ.'Y' .OR. ANS.EQ.'y') THEN
ECHO C                                  CALL IMSL ROUTINE UGETIO TO RESET
ECHO C                                    THE OUTPUT UNIT IDENTIFIER TO 6
ECHO          IOUT = 6
ECHO          CALL UGETIO(3,NIN,IOUT)
ECHO C                                  OPEN UNIT 6 TO THE LINE PRINTER
ECHO          OPEN (UNIT=IOUT,FILE='LPT1')
ECHO       ELSE
ECHO          IF(ANS.NE.'N' .AND. ANS.NE.'n') GO TO 5
ECHO       ENDIF
PAUSE
ECHO C
ECHO C                                   DEFINE THE FUNCTIONS TO BE PLOTTED
ECHO C
ECHO C
ECHO C
ECHO    15 CONTINUE
ECHO       DO 20 I = 1, N
ECHO          XIN(I)   = FLOAT(I)/FLOAT(N)
ECHO          YIN(I,1) = XIN(I)
ECHO          YIN(I,2) = XIN(I)**2
ECHO    20 CONTINUE
PAUSE
ECHO C
ECHO C                                  SET FOR 80 COLUMN MODE
ECHO C
ECHO       IOPT      = 0
ECHO       RANGE(1)  = 0.0
ECHO       RANGE(2)  = 0.0
ECHO       RANGE(3)  = 0.0
ECHO       RANGE(4)  = 0.0
ECHO C                                   CALL IMSL ROUTINE USPLO TO PLOT
ECHO C                                     THE FUNCTIONS.
ECHO       CALL USPLO( XIN, YIN, IY, N, M, INC,
ECHO      &      ' MAIN TITLE ',12,
ECHO      &      ' X TITLE    ',12,
ECHO      &      ' Y TITLE    ',12,
ECHO      &      RANGE, 'AB' , IOPT, IER)
PAUSE
ECHO C                                   CALL IMSL ROUTINE UGETIO TO SET
ECHO C                                     THE UNIT IDENTIFIERS TO THEIR
ECHO C                                     ORIGINAL STATE.
ECHO       CALL UGETIO(3,NIN,NOUT)
ECHO    25 WRITE(NOUT,300)
ECHO   300 FORMAT(' DO YOU WANT TO EXIT PROGRAM?  (Y/N) followed by ENTER. ')
ECHO       READ(NIN,200) ANS
ECHO       IF(ANS.EQ.'Y' .OR. ANS.EQ.'y') STOP
ECHO       IF(ANS.EQ.'N' .OR. ANS.EQ.'n') GO TO 5
ECHO       GO TO 25
ECHO       END
ECHO --------------- END OF SAMPLE PROGRAM ------------------------------
PAUSE
CLS
ECHO .
ECHO .
ECHO .
ECHO .
TYPE IMSLD2
ECHO .
PAUSE
ECHO .
ECHO    CHAPTER 6 OF THE MICROSOFT VERSION 3.20 FORTRAN USER'S GUIDE
ECHO    DISCUSSES THE LINK COMMAND IN DETAIL.
ECHO .
PAUSE
ECHO .
ECHO   NOTES:
ECHO          1)  FOR A NON-HARD DISK SYSTEM, ALL OF THE 'C:' IN THE
ECHO              ABOVE COMMAND WOULD BE CHANGED TO THE APPROPRIATE
ECHO              'A:' OR 'B:'
ECHO .
ECHO          2)  SOME MACHINES MAY HANDLE THE INTERFACE FOR THE 8087
ECHO              COPROCESSOR (FAST HARDWARE FLOATING POINT) DIFFERENTLY
ECHO              THAN IBM.  IF A PROGRAM WILL NOT RUN, THE USER MAY
ECHO              NEED TO ALTER THE MICROSOFT FORTRAN.LIB WHICH CAME
ECHO              WITH THE FORTRAN COMPILER.  CONSULT APPENDIX F OF THE
ECHO              MICROSOFT VERSION 3.2 FORTRAN USER'S GUIDE FOR
ECHO              DETAILS.
ECHO .
ECHO .
ECHO ON
PAUSE To run the sample program, IMSLD1,
CLS
IMSLD1
ECHO OFF
CLS 
ECHO .
ECHO .
ECHO       SOME USEFUL FILES INCLUDED WITH THE IMSL LIBRARY:
ECHO       -------------------------------------------------
ECHO .
ECHO        REQDNUCL           A FILE LOCATED ON DISKETTE 1 CONTAINING THE
ECHO                             NAMES OF THE NUCLEI REQUIRED BY EACH
ECHO                             CALLABLE ROUTINE.
ECHO        IMSL               THE FILE THAT MUST BE INCLUDED IN THE
ECHO                             COMPILATION OF EACH MAIN PROGRAM TO FIX
ECHO                             A VERSION 3.2 BUG.  THIS IS DONE BY
ECHO                             INSERTING $INCLUDE: 'IMSL' AS THE FIRST
ECHO                             STATEMENT OF EACH MAIN PROGRAM.  (SEE
ECHO                             THE SAMPLE PROGRAM IMSLD1.FOR)  THIS FILE
ECHO                             RESIDES ON EACH DISKETTE.
ECHO .
ECHO ------------ END OF HELP SESSION -----------------
