C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C                 IMSL SAMPLE PROGRAM - IMSLD1.FOR
C
C                    IMPORTANT TO NOTE
C
C    1.  AS SHIPPED, ALL OUTPUT FROM IMSL ROUTINES WILL GO TO THE
C          CONSOLE.  IN THE FOLLOWING SAMPLE PROGRAM, THE USER
C          HAS THE OPTION OF VIEWING THE OUTPUT ON THE CONSOLE
C          OR REDIRECTING IT TO THE PRINTER.  FOR MORE INFORMATION
C          REGARDING THE REDIRECTION OF IMSL OUTPUT, SEE THE
C          DOCUMENTATION ON IMSL ROUTINE UGETIO ON PAGE INTRO-5
C          OF THE IMSL STAT/LIBRARY USER'S MANUAL.
C
C    2.  THE FIRST STATEMENT, $INCLUDE: 'IMSL', IN THE FOLLOWING
C          PROGRAM IS NECESSARY TO GUARANTEE PROPER LINKING.
C
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C
$INCLUDE: 'IMSL'
      REAL        XIN(100), YIN(100,2), RANGE(4)
      INTEGER     IY, IER, N, M, INC, IOPT
      CHARACTER*1 ANS
C
      IY     = 100
      N      =  IY
      M      =  2
      INC    =  1
C                                   CALL IMSL ROUTINE UGETIO TO RETAIN
C                                     THE CURRENT UNIT IDENTIFIERS
      CALL UGETIO(1,NIN,NOUT)
      WRITE(NOUT,100) NIN,NOUT
 100  FORMAT(/,' ALL IMSL SUBROUTINES, EXCEPTING PLOTTING ROUTINES ',
     &       /,' AND OTHER UTILITY ROUTINES, ARE I/O FREE. ',
     &       /,' THE CURRENT UNIT NUMBER IDENTIFIERS USED BY ',
     &       /,' IMSL ARE UNIT NUMBER ',I5,' FOR INPUT ',
     &       /,' AND UNIT NUMBER ',I5,' FOR OUTPUT.',/,
     &       /,' MICROSOFT 3.2 USES THESE UNIT NUMBERS TO DIRECT ',
     &       /,' INPUT AND OUTPUT REQUESTS TO THE CONSOLE.',/,
     &       /,' IF YOU WANT INPUT OR OUTPUT TO BE REDIRECTED TO ',
     &       /,' ANOTHER DEVICE OR TO A FILE YOU WILL HAVE TO USE IMSL ',
     &       /,' ROUTINE UGETIO IN CONJUNCTION WITH AN OPEN STATEMENT.',/,
     &       /,' FOR MORE INFORMATION ON IMSL ROUTINE UGETIO SEE ',
     &       /,' PAGE INTRO-5 OF THE IMSL STAT/LIBRARY USER''S ',
     &       /,' MANUAL.',/,
     &       /,' FOR MORE INFORMATION ON THE OPEN STATEMENT SEE ',
     &       /,' THE MICROSOFT FORTRAN REFERENCE MANUAL.',/)
C
    5 WRITE(NOUT,150)
  150 FORMAT(/,' DO YOU WANT THE OUTPUT TO BE REDIRECTED TO ',
     &       /,' A LINEPRINTER?  (Y/N) followed by ENTER')
      READ(NIN,200) ANS
  200 FORMAT(A1)
      IF(ANS.EQ.'Y' .OR. ANS.EQ.'y') THEN
C                                  CALL IMSL ROUTINE UGETIO TO RESET
C                                    THE OUTPUT UNIT IDENTIFIER TO 6
         IOUT = 6
         CALL UGETIO(3,NIN,IOUT)
C                                  OPEN UNIT 6 TO THE LINE PRINTER
         OPEN (UNIT=IOUT,FILE='LPT1')
      ELSE
         IF(ANS.NE.'N' .AND. ANS.NE.'n') GO TO 5
      ENDIF
C
C                                   DEFINE THE FUNCTIONS TO BE PLOTTED
C
C
C
   15 CONTINUE
      DO 20 I = 1, N
         XIN(I)   = FLOAT(I)/FLOAT(N)
         YIN(I,1) = XIN(I)  
         YIN(I,2) = XIN(I)**2
   20 CONTINUE
C
C                                  SET FOR 80 COLUMN MODE
C
      IOPT      = 0
      RANGE(1)  = 0.0
      RANGE(2)  = 0.0
      RANGE(3)  = 0.0
      RANGE(4)  = 0.0
C                                   CALL IMSL ROUTINE USPLO TO PLOT
C                                     THE FUNCTIONS.
      CALL USPLO( XIN, YIN, IY, N, M, INC,
     &      ' MAIN TITLE ',12,
     &      ' X TITLE    ',12,
     &      ' Y TITLE    ',12,
     &      RANGE, 'AB' , IOPT, IER)
C                                   CALL IMSL ROUTINE UGETIO TO SET
C                                     THE UNIT IDENTIFIERS TO THEIR
C                                     ORIGINAL STATE.
      CALL UGETIO(3,NIN,NOUT)
   25 WRITE(NOUT,300)
  300 FORMAT(' DO YOU WANT TO EXIT PROGRAM?  (Y/N) followed by ENTER.')
      READ(NIN,200) ANS
      IF(ANS.EQ.'Y' .OR. ANS.EQ.'y') STOP
      IF(ANS.EQ.'N' .OR. ANS.EQ.'n') GO TO 5
      GO TO 25
      END
